use axum::http::{StatusCode, Uri};
use axum::{routing::get, Router};

pub fn get_router() -> Router {
    Router::new()
        .route("/", get(|| async { "Hello, world!" }))
        .fallback(fallback)
}

async fn fallback(uri: Uri) -> (StatusCode, String) {
    (StatusCode::NOT_FOUND, format!("No route for {uri}"))
}
